<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 10/22/15
 * Time: 7:52 PM
 */

namespace Luticate\Utils\Dbo;

class LuRouteDbo
{
    /**
     * @var string
     */
    private $_url;

    /**
     * @var string
     */
    private $_controllerClass;

    /**
     * @var string
     */
    private $_controllerMethod;

    /**
     * @return string
     */
    public function getControllerClass()
    {
        return $this->_controllerClass;
    }

    /**
     * @param string $controllerClass
     */
    public function setControllerClass($controllerClass)
    {
        $this->_controllerClass = $controllerClass;
    }

    /**
     * @return string
     */
    public function getControllerMethod()
    {
        return $this->_controllerMethod;
    }

    /**
     * @param string $controllerMethod
     */
    public function setControllerMethod($controllerMethod)
    {
        $this->_controllerMethod = $controllerMethod;
    }

    /**
     * @var string[]
     */
    private $_permissions;

    /**
     * @var string[]
     */
    private $_middlewares;

    /**
     * @return \string[]
     */
    public function getMiddlewares()
    {
        return $this->_middlewares;
    }

    /**
     * @param \string[] $middlewares
     */
    public function setMiddlewares($middlewares)
    {
        $this->_middlewares = $middlewares;
    }

    /**
     * @var string
     */
    private $_method;

    /**
     * @return string
     */
    public function getMethod()
    {
        return $this->_method;
    }

    /**
     * @param string $method
     */
    public function setMethod($method)
    {
        $this->_method = $method;
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->_url;
    }

    /**
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->_url = $url;
    }

    /**
     * @return \string[]
     */
    public function getPermissions()
    {
        return $this->_permissions;
    }

    /**
     * @param \string[] $permissions
     */
    public function setPermissions($permissions)
    {
        $this->_permissions = $permissions;
    }
}